public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Orlitzky" <mjo@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/cholmod/
Date: Tue, 20 Jun 2023 00:27:19 +0000 (UTC)	[thread overview]
Message-ID: <1687220791.11a229cbb40fbe1886db6cc0a1269a7ba3b6af2e.mjo@gentoo> (raw)

commit:     11a229cbb40fbe1886db6cc0a1269a7ba3b6af2e
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 20 00:22:33 2023 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Tue Jun 20 00:26:31 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11a229cb

sci-libs/cholmod: revert "sci-libs/cholmod: drop 3.0.13"

This reverts commit 1f96092b44d5d5ccc9d703328630366f33b305dc.

The stable sci-libs/suitesparse-5.4.0 has,

  RDEPEND="
    ...
    ~sci-libs/cholmod-3.0.13[cuda?,doc?,partition?,lapack?]

which won't accept the stable cholmod-3.0.14 that I thought could
replace 3.0.13.

Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 sci-libs/cholmod/Manifest              |  1 +
 sci-libs/cholmod/cholmod-3.0.13.ebuild | 68 ++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/sci-libs/cholmod/Manifest b/sci-libs/cholmod/Manifest
index acd1569dbbfb..cf3192387aab 100644
--- a/sci-libs/cholmod/Manifest
+++ b/sci-libs/cholmod/Manifest
@@ -1,2 +1,3 @@
 DIST SuiteSparse-7.0.0.gh.tar.gz 64884962 BLAKE2B 06c6cf54ffae188f5179e0cd45523700448d8999b44d6b1aeb3dfb99ccf34a570f6aff600988a144c68a4a2d8f41e32f7145e09349aed3bd889501ea031c8340 SHA512 50b1cd7bab6e4c063984162ed803fd13b69df7f67efe8ce7af15eace6b0ccd1669b6e57daa59511fd9531a847433cda49c1f52bfff234031af0d79e7fbd6423e
+DIST cholmod-3.0.13.tar.bz2 696002 BLAKE2B 40a065fe1a3585897b3ca554a25fa80ffc68ac70798f2f803e34a231ec4f532d113a3d00ab7ab61f5eb02503a84e1459cdb7e96cb0b0d1dc6975ed3d533104fe SHA512 c6c80d099386bac27e385a1b8ee8941cd2fb4f2dcfcf302b4b17d6477ac9ee17ad8030aae9191f92576dfaeb521e2c98ec24e867281c2405e42f95580e14f0ab
 DIST cholmod-3.0.14.tar.bz2 696981 BLAKE2B 855927c18833235b3f0835bfba455d83957b9161c0ee885c2d31d126f0f473067f55bcf2cfa163c72efb5de573589ffa54b484a8cf89bc44c9dbf64d43fda5d9 SHA512 f8c12fc3c8787be38bca6c6f84a8279c1380fbe4fabbfba754235fdb042d7050bfb7b5a21ea87ef59dbd5184d28e8cb7667966c38f5dcad78fe8d47111896a3c

diff --git a/sci-libs/cholmod/cholmod-3.0.13.ebuild b/sci-libs/cholmod/cholmod-3.0.13.ebuild
new file mode 100644
index 000000000000..1bc4d77580e2
--- /dev/null
+++ b/sci-libs/cholmod/cholmod-3.0.13.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Sparse Cholesky factorization and update/downdate library"
+HOMEPAGE="https://people.engr.tamu.edu/davis/suitesparse.html"
+SRC_URI="http://202.36.178.9/sage/${P}.tar.bz2"
+
+LICENSE="LGPL-2.1+ modify? ( GPL-2+ ) matrixops? ( GPL-2+ )"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ~mips ~ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
+IUSE="cuda doc +lapack +matrixops +modify +partition"
+
+BDEPEND="virtual/pkgconfig
+	doc? ( virtual/latex-base )"
+DEPEND="
+	>=sci-libs/amd-2.4
+	>=sci-libs/colamd-2.9
+	cuda? (
+		x11-drivers/nvidia-drivers
+		dev-util/nvidia-cuda-toolkit
+	)
+	lapack? ( virtual/lapack )
+	partition? (
+		>=sci-libs/camd-2.4
+		>=sci-libs/ccolamd-2.9
+		>=sci-libs/metis-5.1.0
+	)"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+	local lapack_libs=no
+	local blas_libs=no
+	if use lapack; then
+		blas_libs=$($(tc-getPKG_CONFIG) --libs blas)
+		lapack_libs=$($(tc-getPKG_CONFIG) --libs lapack)
+	fi
+
+	local cudaconfargs=( $(use_with cuda) )
+	if use cuda ; then
+		cudaconfargs+=(
+			--with-cublas-libs="-L${EPREFIX}/opt/cuda/$(get_libdir) -lcublas"
+			--with-cublas-cflags="-I${EPREFIX}/opt/cuda/include"
+		)
+	fi
+
+	econf \
+		--disable-static \
+		--with-blas="${blas_libs}" \
+		--with-lapack="${lapack_libs}" \
+		$(use_with doc) \
+		$(use_with modify) \
+		$(use_with matrixops) \
+		$(use_with partition) \
+		$(use_with partition camd) \
+		$(use_with lapack supernodal) \
+		"${cudaconfargs[@]}"
+}
+
+src_install() {
+	default
+
+	# no static archives
+	find "${D}" -name '*.la' -delete || die
+}


             reply	other threads:[~2023-06-20  0:27 UTC|newest]

Thread overview: 33+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-06-20  0:27 Michael Orlitzky [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-17  1:47 [gentoo-commits] repo/gentoo:master commit in: sci-libs/cholmod/ Sam James
2024-06-05 18:09 Andrew Ammerlaan
2023-06-20  0:02 Michael Orlitzky
2023-06-20  0:02 Michael Orlitzky
2022-12-01  3:21 WANG Xuerui
2022-10-09 16:10 Sam James
2021-07-14 16:14 Marek Szuba
2021-02-18  8:39 Sam James
2021-02-18  8:35 Sam James
2021-02-18  8:35 Sam James
2021-02-11  7:45 Sergei Trofimovich
2021-01-18 17:43 Sam James
2021-01-18 14:53 Sam James
2021-01-18 14:10 Sam James
2021-01-06 15:17 Fabian Groffen
2020-11-07 17:57 Sam James
2020-10-02 18:18 Miroslav Šulc
2020-09-22 21:33 Conrad Kostecki
2020-08-23 17:01 David Seifert
2020-07-21 10:03 Andreas Sturmlechner
2020-07-19 16:03 Sam James
2020-06-22  6:57 Agostino Sarubbo
2020-06-21 17:08 Agostino Sarubbo
2020-06-21 17:03 Agostino Sarubbo
2020-03-02 17:21 Michael Orlitzky
2019-05-21  6:31 Aaron Bauman
2019-01-02 11:39 Justin Lecher
2019-01-02 10:31 Justin Lecher
2018-12-31  9:44 Justin Lecher
2017-07-08  9:25 Alexis Ballier
2017-07-01  9:52 Sergei Trofimovich
2016-06-07 16:47 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1687220791.11a229cbb40fbe1886db6cc0a1269a7ba3b6af2e.mjo@gentoo \
    --to=mjo@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox